# Search User Profiles by Text. User will get a list of User Profiles matching the searchText in response. Provided searchText will be matched against the user attributes case insensitively - First Name, Last Name, Friendly Name, Email, Phone, Company, Contact, Country, Group Names, and Role Name. User will only see the list of users that are part of the user groups that it belongs to. Endpoint: GET /user/search/{searchText} Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. ## Path parameters: - `searchText` (string, required) Specify searchText to search across user attributes. ## Response 200 fields (application/json): - `status` (string) Example: "success" - `data` (array) List of User objects - `data.userId` (string) Current User ID Example: "7d675ef0-f423-11e9-8071-89c0c4052141" - `data.customerId` (string) Parent Customer ID Example: "1234567890" - `data.emailId` (string) User email Example: "jlake@company.com" - `data.firstName` (string) User first name Example: "John" - `data.lastName` (string) User last name Example: "Lake" - `data.roleId` (string) User role ID Example: "7d5620e0-f423-11e9-8071-89c0c4052141" - `data.status` (string) User account status Example: "enabled" - `data.groups` (array) List of group IDs that user belongs to Example: ["7d6207c0-f423-11e9-8071-89c0c4052141"] ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)